Vai al contenuto

Generatore di hash

Web e sviluppo

Come ottieni l’hash di un testo?

Hash SHA-256, SHA-512, SHA-1 e MD5 di qualsiasi testo, calcolati nel browser.

File, confronto e codifica

Puoi anche incollare un file. I file restano sul tuo dispositivo.

Mostra l’hash in

Incolla l’hash atteso in esadecimale o Base64. Spazi e due punti vengono ignorati.

Hash SHA-256

–

256 bit

Link sponsorizzati

Hash SHA-256, SHA-512, SHA-1 e MD5 di qualsiasi testo, calcolati nel browser.

Come si usa

  1. Scegli l’algoritmo. Oggi SHA-256 è la scelta più comune.
  2. Scrivi o incolla il testo.
  3. Copia l’hash. Per verificare un hash che hai ricevuto, incollalo in Hash da confrontare.

Impronte MD5 di riferimento per brevi testi ASCII

TestoMD5 (hex)
a0cc175b9c0f1b6a831c399e269772661
abc900150983cd24fb0d6963f7d28e17f72
message digestf96b697d7cb7938d525a2f31aaf161d0
abcdefghijklmnopqrstuvwxyzc3fcd3d76192e4007dfb496cca67e13b
1234567890e807f1fcf82d132f9bb018ca6738a19f

Solo esempi di riferimento; MD5 non è adatto alle verifiche di sicurezza.

Link sponsorizzati

Come funziona

Un hash è una breve impronta dei dati. Lo stesso input produce sempre lo stesso hash, ma basta cambiare un carattere perché l’hash cambi completamente. Non puoi risalire ai dati dall’hash: per questo è utile per controllare che i dati siano arrivati intatti, trovare duplicati e memorizzare impronte al posto dei dati stessi.

SHA-1, SHA-256, SHA-384 e SHA-512 sono gli algoritmi Secure Hash Algorithms dello standard FIPS 180-4 e producono 160, 256, 384 e 512 bit. Ad esempio, l’hash SHA-256 di abc inizia con ba7816bf (RFC 6234). MD5 (RFC 1321) produce 128 bit. Il testo viene codificato in UTF-8 prima del calcolo, e il risultato è espresso in esadecimale o Base64.

MD5 e SHA-1 non sono sicuri perché si possono creare intenzionalmente dati diversi con lo stesso hash (RFC 6151 per MD5, RFC 6194 per SHA-1). Rilevano ancora danni accidentali, quindi molte pagine di download li riportano. Un hash non è una cifratura e da solo non basta per memorizzare password. Il testo viene elaborato nel browser e non viene mai caricato online.

Domande frequenti

Quale algoritmo devo usare?

SHA-256 per quasi tutto. Usa MD5 o SHA-1 solo quando un altro sistema, ad esempio una vecchia pagina di download, li richiede.

Perché il mio hash è diverso da quello che ho ricevuto?

Verifica di aver scelto lo stesso algoritmo e che il testo sia identico, inclusi spazi e a capo. Basta un carattere diverso per ottenere un hash completamente diverso. Il campo di confronto mostra subito se corrispondono.

Si può ricavare il testo da un hash?

No. Un hash perde informazioni. Si possono però indovinare testi brevi o comuni provandone molti: non affidarti a un semplice hash per nascondere una password.

Un’interruzione di riga cambia l’hash?

Sì. Fa parte dell’input, quindi un testo altrimenti identico può produrre un’impronta diversa.

Hex e Base64 sono hash diversi?

No. Sono due modi di scrivere gli stessi byte dell’impronta. Scegli la codifica del valore con cui fai il confronto.

Altri strumenti in Web e sviluppo

Tutti i 18 strumenti in Web e sviluppo

Link sponsorizzati

Link sponsorizzati